Subject: Re: [PATCH net-next v2 2/2] net/smc: support ipv4 mapped ipv6 addr client for smc-r v2

From: Halil Pasic <[email-masked]>
Date: Mon, 9 Dec 2024 21:44:49 +0100

On Mon, 9 Dec 2024 20:36:45 +0800
Guangguan Wang <[email-masked]> wrote:

> > I believe we would like to have a v3 here. Also I'm not sure
> > checking on saddr is sufficient, but I didn't do my research on
> > that question yet.
> > 
> > Regards,
> > Halil  
> 
> Did you mean to research whether the daddr should be checked too?

Right! Or is it implied that if saddr is a ipv4 mapped ipv6 addr
then the daddr must be ipv4 mapped ipv6 addr as well?

Regards,
Halil